Name:          perl-Algorithm-Munkres
Version:       0.08
Release:       1%{?dist}
Summary:       Solution to classical Assignment Problem
License:       GPL+ or Artistic
Group:         Development/Libraries
URL:           http://search.cpan.org/dist/Algorithm-Munkres/
Source0:       http://www.cpan.org/modules/by-module/Algorithm/Algorithm-Munkres-%{version}.tar.gz 
BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) 
BuildRequires: perl(Algorithm::Diff) >= 1.15 
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
Algorithm-Munkres : Perl extension for Munkres' solution to classical
Assignment problem for square and rectangular matrices This module extends
the solution of Assignment problem for square matrices to rectangular
matrices by padding zeros. Thus a rectangular matrix is converted to square
matrix by padding necessary zeros.


%prep
%setup -q -n Algorithm-Munkres-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;
chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 27 2016 Simon Hallam <sha@pml.ac.uk> 0.08-1
- Built for Fedora 23
